"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterBalances = function (balancesArr, outputFilterFn) {
    if (outputFilterFn === void 0) { outputFilterFn = function (_a) {
        var balance = _a.balance;
        return Number(balance) > 0;
    }; }
    return balancesArr
        .map(function (_a) {
        var asset = _a.asset, currency = _a.currency, available = _a.available, free = _a.free;
        return ({
            asset: asset || currency,
            balance: available || free
        });
    }).filter(outputFilterFn);
};
exports.filterKrakenBalances = function (krakenBalancesObj, outputFilterFn) {
    if (outputFilterFn === void 0) { outputFilterFn = function (_a) {
        var balance = _a.balance;
        return Number(balance) > 0;
    }; }
    return Object.keys(krakenBalancesObj)
        .map(function (asset) { return ({
        asset: asset,
        balance: krakenBalancesObj[asset]
    }); }).filter(outputFilterFn);
};
